-- ------------------------------------------------------------

{- |
   Module     : Yuuko.Text.XML.HXT.DOM.Interface
   Copyright  : Copyright (C) 2008 Uwe Schmidt
   License    : MIT


   Maintainer : Uwe Schmidt (uwe@fh-wedel.de)
   Stability  : stable
   Portability: portable

   The interface to the primitive DOM data types and constants
   and utility functions

-}

-- ------------------------------------------------------------

module Yuuko.Text.XML.HXT.DOM.Interface
    ( module Yuuko.Text.XML.HXT.DOM.XmlKeywords
    , module Yuuko.Text.XML.HXT.DOM.TypeDefs
    , module Yuuko.Text.XML.HXT.DOM.Util
    , module Yuuko.Text.XML.HXT.DOM.XmlOptions
    , module Yuuko.Text.XML.HXT.DOM.MimeTypes
    )
where

import Yuuko.Text.XML.HXT.DOM.XmlKeywords		-- constants
import Yuuko.Text.XML.HXT.DOM.TypeDefs		-- XML Tree types
import Yuuko.Text.XML.HXT.DOM.Util
import Yuuko.Text.XML.HXT.DOM.XmlOptions		-- predefined options
import Yuuko.Text.XML.HXT.DOM.MimeTypes		-- mime types related stuff


-- ------------------------------------------------------------
